moduleMohSettingsSide1 = {};

function moduleMohSettingsSide1:generate(installModGuiTablePos, masterPage, slavePage, pageSide)
	----is line/button a pullDownMenue ---> check is pullDownOpen or not --> g_currentMission.guiMenue.master.isPullDownOpen()		
	local isGenerate, errorTxt = true, "";
	function printError()
		if not isGenerate and string.len(tostring(errorTxt)) > 0 then print(tostring(errorTxt));end;
	end;	
	local lineButtonTable = {};	
	local lineCmdTable = {};
	--line 1		
	for modul=1, #moModule.guiMenue do		
		lineCmdTable[modul] = {};
		lineCmdTable[modul].cmdTable = nil;
		lineCmdTable[modul].cmdValue = nil;
		lineCmdTable[modul].cmdType = "stringOnly";
		lineCmdTable[modul].buttonTxt = tostring(moModule.guiMenue[modul]);		
		lineCmdTable[modul].isSelect = tostring(moModule.guiMenue[modul]) == "moFillTypes";		
	end;
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohSelectSettings_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 0; 		
		txtOverButton = "Select Modul";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Select Modul for Settings";
		cmdTable = lineCmdTable;
		cmdValue = nil;
		cmdType = "pullDown_1";
		buttonTxt = "";
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=1, maxButtons=1, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 1
	--line 2
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohUpdateTimer_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "Update Timer";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Set Update Timer (think about your performance)\nonly running when the slot is open\nMax Timer ".. tostring(moModule.values.maxTimer);
		cmdTable = nil;
		cmdValue = "updateTimer";
		cmdType = "int";
		buttonTxt = "";
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohUpdateMsec_";
		isHidden = false; 
		buttonType = 5; 
		buttonWidth = 0; 		
		txtOverButton = "Timer at Msec";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Set Update Timer at Millisec (think about your performance)\nonly running when the slot is open";
		cmdTable = nil;
		cmdValue = "msec";
		cmdType = "boolean";
		buttonTxt = "";
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=2, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();	
	--line 3
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohLanguageXml_";
		isHidden = false; 
		buttonType = 5; 
		buttonWidth = 0; 		
		txtOverButton = "Language XML Global";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Load Text(all) too over language.xml";
		cmdTable = moModule.values;
		cmdValue = "languageXml";
		cmdType = "boolean";
		buttonTxt = "";
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohTxtBold_";
		isHidden = false; 
		buttonType = 5; 
		buttonWidth = 0; 		
		txtOverButton = "Text Bold Global";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Set Slot(all) Text Bold (Is Text toLong for Slot, set TextWitdhFix at Slot Settings)";
		cmdTable = moModule.values;
		cmdValue = "txtBold";
		cmdType = "boolean";
		buttonTxt = "";
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=3, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 3
	--line 4	
	lineButtonTable = {};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohCanDeleteOldCmd_";
		isHidden = false; 
		buttonType = 5; 
		buttonWidth = 0; 		
		txtOverButton = "CanDeleteOldCmd";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Set On and click OldCmd for delete(at Slot Cmds)";
		cmdTable = moModule.values;
		cmdValue = "canDeleteOldCmd";
		cmdType = "boolean";
		buttonTxt = "";
	};
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohCmdObjectDistance_";
		isHidden = false; 
		buttonType = 3; 
		buttonWidth = 0; 		
		txtOverButton = "Object Distance";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "See Objects Cmd with >>... near Object";
		cmdTable = moModule.values;
		cmdValue = "cmdObjectDistance";
		cmdType = "int";
		buttonTxt = "";
	};
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=4, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 4
	--line 5
	--txtPriceColor="white", txtNoPriceColor="darkGray", txtNoAmountColor="darkGray", txtAmountColor="yellow", txtFillTypesColor="yellow", txtGreatDemandColor="ls15", txtActiveColor="ls15", txtTitleColor="khaki", txtColor="white"
	local colorTypTable = {"txtPriceColor", "txtNoPriceColor", "txtNoAmountColor", "txtAmountColor", "txtFillTypesColor", "txtGreatDemandColor", "txtActiveColor", "txtTitleColor", "txtColor"};
	local colorTypDefault = {"white", "darkGray", "darkGray", "yellow", "yellow", "ls15", "ls15", "khaki", "white"};
	lineCmdTable = {};
	lineButtonTable = {};
	for colorTyp=1, #colorTypTable do		
		lineCmdTable[colorTyp] = {};
		lineCmdTable[colorTyp].cmdTable = nil;
		lineCmdTable[colorTyp].cmdValue = nil;
		lineCmdTable[colorTyp].cmdType = "stringOnly";
		lineCmdTable[colorTyp].infoTxt = "Default Color = ".. tostring(colorTypDefault[colorTyp]);
		lineCmdTable[colorTyp].buttonTxt = tostring(colorTypTable[colorTyp]);		
		lineCmdTable[colorTyp].isSelect = tostring(colorTypTable[colorTyp]) == "txtColor";		
	end;
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohTextColorTyp_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 0; 		
		txtOverButton = "Text Color Typ";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Select Text Color Typ (Global for Moh Module)";
		cmdTable = lineCmdTable;
		cmdValue = nil;
		cmdType = "pullDown_1";
		buttonTxt = "";
	};	
	lineCmdTable = {};
	local index = 1;	
	for name, _ in pairs(moColors.extern) do		
		lineCmdTable[index] = {};
		lineCmdTable[index].cmdTable = nil;
		lineCmdTable[index].cmdValue = nil;
		lineCmdTable[index].cmdType = "stringOnly";
		lineCmdTable[index].buttonTxt = tostring(name);
		lineCmdTable[index].isSelect = tostring(name) == moModule.values.txtColor;
		index = index+1;
	end;
	local keys = {};
	local newSortTable = {};
	function sortTable(myTable)			
		for key, _ in pairs(myTable) do
			table.insert(keys, key);
		end
		table.sort(keys, function(keyLhs, keyRhs) return myTable[keyLhs].buttonTxt < myTable[keyRhs].buttonTxt end);
		for _, key in ipairs(keys) do
			table.insert(newSortTable, myTable[key]);
		end;
	end;
	sortTable(lineCmdTable);		
	lineCmdTable = newSortTable;
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohTextColorByTyp_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 0; 		
		txtOverButton = "Text Color";		
		helpIcon = 0; 
		helpTxt = {};
		infoTxt = "Text Color for all Moh Module (Global)";
		cmdTable = lineCmdTable; 
		cmdValue = nil;
		cmdType = "pullDown_1";
		buttonTxt = "";
	};	
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=5, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 5
	--line 6
	--moColors.prozent = {[1]="white", [2]="green", [3]="yellowGreen", [4]="yellow", [5]="orange", [6]="orangeRed", [7]="red"}; --1 default return hl_
	local colorTable = {"100-96 Prozent", "95-76 Prozent", "75-51 Prozent", "50-26 Prozent", "25-6 Prozent", "5-1 Prozent", "0 Prozent"};
	local colorTableInfo = {"Default color = white (<=100% or nil)", "Default Color = green (<=95%)", "Default Color = yellowGreen (<=75%)", "Default Color = yellow (<=50%)", "Default Color = orange (<=25%)", "Default Color = orangeRed (<=5%)", "Default Color = red (<=0%)"};
	lineCmdTable = {};
	lineButtonTable = {};
	for colorTyp=1, #colorTable do		
		lineCmdTable[colorTyp] = {};
		lineCmdTable[colorTyp].cmdTable = nil;
		lineCmdTable[colorTyp].cmdValue = nil;
		lineCmdTable[colorTyp].cmdType = "stringOnly";
		lineCmdTable[colorTyp].infoTxt = "Info = ".. tostring(colorTableInfo[colorTyp]);
		lineCmdTable[colorTyp].buttonTxt = tostring(colorTable[colorTyp]);		
		lineCmdTable[colorTyp].isSelect = colorTyp == 1;		
	end;
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohTextProzentColorTyp_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 0; 		
		txtOverButton = "Text Prozent Color Typ";		
		helpIcon = 0; 
		helpTxt = {""};
		infoTxt = "Select Text Prozent Color (Global for Moh Module)\nColor invert for a spez. or...";
		cmdTable = lineCmdTable;
		cmdValue = nil;
		cmdType = "pullDown_1";
		buttonTxt = "";
	};
	lineCmdTable = {};
	local index = 1;	
	for name, _ in pairs(moColors.extern) do		
		lineCmdTable[index] = {};
		lineCmdTable[index].cmdTable = nil;
		lineCmdTable[index].cmdValue = nil;
		lineCmdTable[index].cmdType = "stringOnly";
		lineCmdTable[index].buttonTxt = tostring(name);
		lineCmdTable[index].isSelect = tostring(name) == moColors.prozent[1];
		index = index+1;
	end;
	local keys = {};
	local newSortTable = {};
	function sortTable(myTable)			
		for key, _ in pairs(myTable) do
			table.insert(keys, key);
		end
		table.sort(keys, function(keyLhs, keyRhs) return myTable[keyLhs].buttonTxt < myTable[keyRhs].buttonTxt end);
		for _, key in ipairs(keys) do
			table.insert(newSortTable, myTable[key]);
		end;
	end;
	sortTable(lineCmdTable);		
	lineCmdTable = newSortTable;
	lineButtonTable[#lineButtonTable+1] = {
		returnClick = "moduleMohTextProzentColorByTyp_";
		isHidden = false; 
		buttonType = 2; 
		buttonWidth = 0; 		
		txtOverButton = "Text Prozent Color";		
		helpIcon = 0; 
		helpTxt = {};
		infoTxt = "Text Prozent Color for all Moh Module (Global)\nColor invert for a spez. or...";
		cmdTable = lineCmdTable; 
		cmdValue = nil;
		cmdType = "pullDown_1";
		buttonTxt = "";
	};	
	isGenerate, errorTxt = g_currentMission.guiMenue.guiSetGetMenue:generateModMenuePageSideLine( {modMenueTable=installModGuiTablePos, masterPage=masterPage, slavePage=slavePage, pageSide=pageSide, line=6, maxButtons=2, isHidden=false, lineButtonTable=lineButtonTable} );
	printError();
	--line 6
end;

function moduleMohSettingsSide1:setReturnClick(self, returnClick, whichPDA, isPullDownOpen, clickLine, clickButton, masterPage, slavePage, pageSide, isVirtualReturnClick) --byName (virtual.... for Activate over Mod(not over Gui Menue click)for set Icons or at GuiMenue or or etc)
	local whichSubPDA = whichPDA or "masterPDA_";
	local upOrLeft = string.find(returnClick, "_Up") or string.find(returnClick, "_Left");
	local downOrRight = string.find(returnClick, "_Down") or string.find(returnClick, "_Right");
	
	local defaultPageSide = 1; --ändern wenn die seite verschoben wird
	
	if string.find(returnClick, "moduleMohSelectSettings_") then		
		moduleMohSettingsSide1:resetModuleGuiMenue(true);
		return;
		
	elseif string.find(returnClick, "moduleMohUpdateTimer_") and not pullDownOpen then		
		local whichSubModul, modulName = moduleMohSettingsSide1:getSelectModul();
		if modulName ~= nil and modulName.updateTimer ~= nil then
			local inOutLevel = 1;
			if upOrLeft then
				if modulName.updateTimer-inOutLevel < 0 then return;end;
				modulName.updateTimer = modulName.updateTimer-inOutLevel;				
			elseif downOrRight then
				if modulName.updateTimer+inOutLevel > moModule.values.maxTimer then return;end;
				modulName.updateTimer = modulName.updateTimer+inOutLevel;
			end;
			g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
		end;
		return;
	elseif string.find(returnClick, "moduleMohUpdateMsec_") and not pullDownOpen then		
		local whichSubModul, modulName = moduleMohSettingsSide1:getSelectModul();
		if modulName ~= nil and modulName.msec ~= nil then
			if modulName.msec then modulName.msec = false;else modulName.msec = true;end;			
			g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
		end;		
		return;
	elseif string.find(returnClick, "moduleMohLanguageXml_") and not pullDownOpen then		
		if moModule.values.languageXml then moModule.values.languageXml = false;else moModule.values.languageXml = true;end;		
		g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
		return;
	elseif string.find(returnClick, "moduleMohTxtBold_") and not pullDownOpen then		
		if moModule.values.txtBold then moModule.values.txtBold = false;else moModule.values.txtBold = true;end;
		g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
		return;
	elseif string.find(returnClick, "moduleMohCanDeleteOldCmd_") and not pullDownOpen then		
		if moModule.values.canDeleteOldCmd then moModule.values.canDeleteOldCmd = false;else moModule.values.canDeleteOldCmd = true;end;
		g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
		return;	
	elseif string.find(returnClick, "moduleMohCmdObjectDistance_") and not pullDownOpen then
		local inOutLevel = 1;
		if upOrLeft then
			if moModule.values.cmdObjectDistance-inOutLevel < 5 then return;end;
			moModule.values.cmdObjectDistance = moModule.values.cmdObjectDistance-1;
		elseif downOrRight then
			if moModule.values.cmdObjectDistance+inOutLevel > 30 then return;end;
			moModule.values.cmdObjectDistance = moModule.values.cmdObjectDistance+1;
		end;
	elseif string.find(returnClick, "moduleMohTextColorTyp_") and not pullDownOpen then
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextColorTyp_"} );
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
		if buttonTable ~= nil then
			local selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
			local colorTypTable = buttonTable.cmdTable[selectLine].buttonTxt;
			if colorTypTable ~= nil and moModule.values[colorTypTable] ~= nil then
				local colorName = moModule.values[colorTypTable];				
				if colorName ~= nil then
					getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextColorByTyp_"} );
					if getThisButtonPage == nil then return;end;
					guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
					buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
					if buttonTable ~= nil then
						buttonTable.cmdTable = moSetGetGuiMenue:getNewPullDownTable(6, nil, nil, colorName);
					end;
				end;
			end;
		end;
		return;
	elseif string.find(returnClick, "moduleMohTextColorByTyp_") and not pullDownOpen then
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextColorByTyp_"} );
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
		if buttonTable ~= nil then
			local selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
			local colorName = buttonTable.cmdTable[selectLine].buttonTxt;
			if colorName ~= nil then
				if moColors:getColor(colorName, nil) ~= nil then
					getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextColorTyp_"} );
					if getThisButtonPage == nil then return;end;
					guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
					buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
					if buttonTable ~= nil then
						selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
						local colorTypTable = buttonTable.cmdTable[selectLine].buttonTxt;
						moModule.values[colorTypTable] = colorName;
						g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
					end;
				end;
			end;
		end;
		return;
	elseif string.find(returnClick, "moduleMohTextProzentColorTyp_") and not pullDownOpen then
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextProzentColorTyp_"} );
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
		if buttonTable ~= nil then
			local selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
			local colorName = moColors.prozent[selectLine];
			if colorName ~= nil then
				if moColors:getColor(colorName, nil) ~= nil then
					getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextProzentColorByTyp_"} );
					if getThisButtonPage == nil then return;end;
					guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
					buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
					if buttonTable ~= nil then
						buttonTable.cmdTable = moSetGetGuiMenue:getNewPullDownTable(6, nil, nil, colorName);
					end;
				end;
			end;
		end;
		return;
	elseif string.find(returnClick, "moduleMohTextProzentColorByTyp_") and not pullDownOpen then
		local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextProzentColorByTyp_"} );
		if getThisButtonPage == nil then return;end;
		local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
		local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
		if buttonTable ~= nil then
			local selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
			local colorName = buttonTable.cmdTable[selectLine].buttonTxt;
			if colorName ~= nil then
				if moColors:getColor(colorName, nil) ~= nil then
					getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohTextProzentColorTyp_"} );
					if getThisButtonPage == nil then return;end;
					guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
					buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
					if buttonTable ~= nil then
						selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);						
						moColors.prozent[selectLine] = colorName;
						g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].tempSave = true;
					end;
				end;
			end;	
		end;
		return;
	end;	
	return;
end;

function moduleMohSettingsSide1:resetModuleGuiMenue()
	local whichSubModul, modulName = moduleMohSettingsSide1:getSelectModul();	
	local defaultPageSide = 1; --ändern wenn die seite verschoben wird
	local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohUpdateTimer_"} );
	if getThisButtonPage == nil then return;end;
	local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
	local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
	buttonTable.cmdTable = modulName;
	
	getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohUpdateMsec_"} );
	if getThisButtonPage == nil then return;end;
	guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
	buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
	buttonTable.cmdTable = modulName;
	if modulName == nil then
		
	end;
end;

function moduleMohSettingsSide1:getSelectModul()
	local getThisButtonPage = g_currentMission.guiMenue.guiSetGet:getButtonInfo( {modMenueTable=MultiOverlayV3.guiMenue.modTable, pageSide=defaultPageSide, name="moduleMohSelectSettings_"} );
	local modulName = nil;
	if getThisButtonPage == nil then return nil;end;	
	local guiPageTable = g_currentMission.guiMenue.modTable[MultiOverlayV3.guiMenue.modTable].page[getThisButtonPage.masterPage].side[getThisButtonPage.pageSide];
	local buttonTable = Utils.getNoNil(guiPageTable.line[getThisButtonPage.line].button[getThisButtonPage.button], nil);
	local selectLine = moSetGetGuiMenue:getSelectPullDownLine(self, nil, nil, buttonTable);
	local whichSubModul = buttonTable.cmdTable[selectLine].buttonTxt;	
	if whichSubModul ~= nil then
		if whichSubModul == "moFillTypes" then modulName = moFillTypes.values;
		elseif whichSubModul == "moAmount" then modulName = moAmount.values;
		elseif whichSubModul == "moAnimals" then modulName = moAnimals.values;
		elseif whichSubModul == "moBGAs" then modulName = moBGAs.values;
		elseif whichSubModul == "moBunkerSilos" then modulName = moBunkerSilos.values;
		elseif whichSubModul == "moBuyingStations" then modulName = moBuyingStations.values;
		elseif whichSubModul == "moGC_Factorys" then modulName = moGC_Factorys.values;
		elseif whichSubModul == "moFeedMixers" then modulName = moFeedMixers.values;
		elseif whichSubModul == "moGreenhouses" then modulName = moGreenhouses.values;
		elseif whichSubModul == "moGreatDemand" then modulName = moGreatDemand.values;
		elseif whichSubModul == "moItems" then modulName = moItems.values;
		elseif whichSubModul == "moMissions" then modulName = moMissions.values;
		elseif whichSubModul == "moSellingStations" then modulName = moSellingStations.values;
		elseif whichSubModul == "moStorages" then modulName = moStorages.values;
		elseif whichSubModul == "moFillTypeMovers" then modulName = moFillTypeMovers.values;
		elseif whichSubModul == "moObjectStorages" then modulName = moObjectStorages.values;
		elseif whichSubModul == "Text Color" then modulName = nil;
		elseif whichSubModul == "Prozent Color" then modulName = nil;
		end;
	end;
	return whichSubModul, modulName;
end;
